xquery version "3.1";

import module namespace cv-test = "https://sade.textgrid.de/ns/cv-test" at "test.xq";
import module namespace test="http://exist-db.org/xquery/xqsuite" at "resource:org/exist/xquery/lib/xqsuite/xqsuite.xql";

declare variable $sysout := util:log-system-out("code-view installation done.");
declare variable $tests := test:suite(util:list-functions("https://sade.textgrid.de/ns/cv-test"));

let $fileSeparator := util:system-property("file.separator")
let $system-path := system:get-exist-home() || $fileSeparator

return
  util:log-system-out("&#10;" || serialize($tests) || "&#10;"),
  file:serialize(
    <tests time="{current-dateTime()}">{ $tests }</tests>,
    $system-path || "tests-cv-results.xml",
    ()
  )
